
Figure - Bug #113697
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试10小时，出现ANR：com.thundercomm.mcuupgrade
2022-11-04 11:29 - CD Test赵飞

Status: CLOSED Start date: 2022-11-04

Priority: Normal Due date: 2022-11-11

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0043.X101

Resolution: INVALID Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-08

Test Type: Monkey Test Root cause: 这个mcu升级的应用只是临时搭载的，后续会删除，因此最终不会对用户的使用有任何影响

Description

测试命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200

--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10 --pct-anyevent 10 --ignore-crashes -v -v -v 180000

2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

ANR in com.thundercomm.mcuupgrade (com.thundercomm.mcuupgrade/.MainActivity)

PID: 20538

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.thundercomm.mcuupgrade/.MainActivity

ErrorId: 1d5a7d5d-1144-45e7-85ae-1d0b1a11bf6e

Frozen: false

Load: 0.0 / 0.0 / 0.0

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=648111

full avg10=0.00 avg60=0.00 avg300=0.00 total=270032

----- End output from /proc/pressure/memory -----

CPU usage from 5912ms to 0ms ago (2022-11-03 07:20:04.666 to 2022-11-03 07:20:10.578):

  15% 1270/tlog: 0.6% user + 15% kernel

  11% 20250/tlog: 0% user + 11% kernel

  10% 16659/com.microsoft.emmx: 2% user + 8.7% kernel / faults: 77 minor

  7.2% 9472/system_server: 3% user + 4.2% kernel / faults: 2171 minor

  4.7% 22629/kworker/u16:23+SENSORS_DATA: 0% user + 4.7% kernel

  2.4% 19576/kworker/u16:17+LPASS_DATA: 0% user + 2.4% kernel

  4.2% 31501/kworker/1:2-sock_diag_events: 0% user + 4.2% kernel

  3.7% 9394/surfaceflinger: 0.6% user + 3% kernel

  1.8% 26593/com.microsoft.emmx:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:92: 1.6% user + 0.1% kernel /

faults: 177 minor

  3.5% 31977/kworker/u16:26+CDSP_DATA: 0% user + 3.5% kernel

  3.3% 3255/kworker/u16:11-devfreq_wq: 0% user + 3.3% kernel

...
History

#1 - 2022-11-04 11:30 - CD Test赵飞

Tlog和ANR日志见Bug #113696 附件

#2 - 2022-11-07 16:57 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD- FW-石豪

#3 - 2022-11-07 17:19 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD- FW-石豪 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to INVALID

- Degrated changed from -- to No

- Fixed Version set to 2022-11-08

- Root cause set to 这个mcu升级的应用只是临时搭载的，后续会删除，因此最终不会对用户的使用有任何影响

#4 - 2022-11-08 09:52 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

该应用后续会移除，可忽略Monkey执行中出现的error

关闭此问题

#5 - 2022-11-08 09:52 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
